Bug 329701 - some exportfs on the NFS fle server are lost from time to time
some exportfs on the NFS fle server are lost from time to time
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.0
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 13:21 EDT by Eric Doutreleau
Modified: 2008-07-11 07:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 07:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2007-10-12 13:21:07 EDT
Description of problem:
system seems to forgot some directory to exports

Version-Release number of selected component (if applicable):
2.6.18-8.1.8.el5xen

How reproducible:
it s always but not immediately

Steps to Reproduce:
1. exports some directories
2. wait some time
3. the directory is forgotten to be exported
  
Actual results:
in the exports file i have
/p1v1f2 @serveur(rw)
/p1v1f2/arc @recherche(rw) @portables(ro)
/p1v1f2/archives @recherche(rw) @portables(ro)
/p1v1f2/bdoutils @recherche(rw) @portables(ro) elaphe(ro) 
/p1v1f2/bd @recherche(rw) @portables(ro)
/p1v1f2/CVS @inf(rw)
/p1v1f2/ftp @recherche(rw) @portables(ro)
/p1v1f2/linux @linux(rw) lipari.int-evry.fr(rw)
/p1v1f2/QOS_CORBA @inf(rw)
/p1v1f2/sys @sys(rw) @serveur(rw) 157.159.10.47(rw) @linux(rw)
/p1v1f2/sysrep @inf(rw) @serveur(rw) etna2(rw)
/p1v1f2/SYSREP @sys(rw) etna(rw)
/p1v1f2/bd2 @recherche(rw) @portables(ro)
/p1v1f2/arc2 @recherche(rw) @portables(ro)
/p1v1f2/pftcr @serveur(rw) @sys(rw)

but in the file /proc/fs/nfs/exports
cat /proc/fs/nfs/exports
/p1v1f2/arc    
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd2     @inf,@linux,@recherche(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd2    
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd     
@inf,@linux,@recherche,lipari.int-evry.fr(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd      @inf,@linux,@recherche(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd     
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bdoutils       
@inf,@linux,@recherche(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bdoutils       
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/bd      @recherche,@serveur(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/linux  
@inf,@linux,@recherche,lipari.int-evry.fr(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/linux  
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2
@recherche,@serveur,www-inf.int-edu.eu(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/sysrep 
@inf,@linux,@recherche,@sys(rw,root_squash,sync,wdelay,no_subtree_check)
/p1v1f2/sysrep  @recherche,@serveur(rw,root_squash,sync,wdelay,no_subtree_check)

in the client /var/log/messages file i got the following messages
Oct 12 16:10:33 etna kernel: nfs_statfs: statfs error = 116
Oct 12 18:28:10 etna kernel: nfs_statfs: statfs error = 116
Oct 12 18:34:47 etna kernel: nfs_statfs: statfs error = 116
Oct 12 18:36:41 etna kernel: nfs_statfs: statfs error = 116

and in the console

NFS stale file handle

in the server
Oct 12 17:32:05 vesuna mountd[23752]: refused mount request from
etna.int-evry.fr for /p1v1f2 (/): not exported

the client etna.int-evry.fr is in th netgroup server



Additional info:
if i run
exportfs -rav on the server all become ok again until the next time the /p1v1f2
export is lost
Comment 1 Eric Doutreleau 2007-10-25 02:37:45 EDT
I still have the problems

this morning
on my client

df

vesuna.int-evry.fr:/p1v1f2
                             -         -         -   -  /inf
i tried to umount and remount the share
i got
mount: vesuna.int-evry.fr:/p1v1f2 failed, reason given by server: Permission denied

on the /var/log/messages on the server i got
Oct 25 08:29:50 vesuna mountd[23752]: refused unmount request from
etna.int-evry.fr for /p1v1f2 (/): not exported
Oct 25 08:29:50 vesuna mountd[23752]: refused mount request from
etna.int-evry.fr for /p1v1f2 (/): not exported

and in the file
 /proc/fs/nfs/exports
i lost the export of the partition unlike i have it on the export file


Comment 2 Jeff Layton 2008-01-05 10:34:03 EST
/proc/fs/nfs/exports won't necessarily show all of the exports. The kernel polls
mountd on demand to get info about an export that's not in its cache. It sounds
more like mountd is occasionally reporting to the kernel that the dir in
question isn't exported.

A fix recently went in that changes how mountd behaves when there are a large
number of netgroups. Could you test the nfs-utils packages on my people page on
a non-critical machine and see whether you still have the same issues with it?

http://people.redhat.com/jlayton
Comment 3 RHEL Product and Program Management 2008-06-02 16:30:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jeff Layton 2008-07-11 07:40:39 EDT
No response to this in many months. Closing case with a resolution of
INSUFFICIENT_DATA. Please reopen if you're still experiencing this.

Note You need to log in before you can comment on or make changes to this bug.